Xcode 5 iOS 7 CocoaPods Linker Error Xcode 5 iOS 7 CocoaPods Linker Error ios ios

Xcode 5 iOS 7 CocoaPods Linker Error


Sounds like you just needed to update cocoapods. For anyone else who doesn't want to solve the problem by simply removing cocoapods from your project, do this:

  1. Check your version of cocoapods:

    pod --version

  2. If it's less than 0.25.0, you need to do an update (don't forget "sudo" if necessary):

    gem update cocoapods

  3. Make sure your pods are updated:

    pod install

  4. Finally, open your .xcworkspace file.

You should be good to go.


I had this problem when experimenting with adding CocoaPods to an existing project.

It turned out that CocoaPods got the Architectures setting right, but missed on the Build Active Architecture Only setting. Both must be in perfect sync with your main project, or it will fail when building for a real device (at least if you got more than one ARM arch, which you usually do (armv7, armv7s and now arm64)).

Solved the problem for me, hopefully this will help others with a similar problem.


I just fixed this issue in my workspace. In my case, it wasn't related to upgrading to iOS 7; instead, it was related to archiving for App Store submission. I created an App Store configuration (a duplicate of the Release configuration), and I was trying to use the App Store configuration for the Archive action (configured under Product > Scheme > Edit Scheme... > Archive > Build Configuration). The problem was that I had created an App Store configuration for my app's project, but I hadn't created an App Store configuration for the Pods project (the project that CocoaPods adds to your app's workspace). Once I did this (again, just a duplicate of the Release configuration), the Archive action succeeded.


matomo